/**************************************************************************
 *
 *	Questionaire asking file for Metal/Z-Msg
 *
 *
 *	FILE: MEQUEST.C
 *
 *		    Copyright (c) 1984,1985,1986  Tim Gary
 *			    All rights reserved.
 *
 **************************************************************************
 *
 * 07/04/86  Started writing this code.
 *
 *************************************************************************/

#include "xpm.h"	/* CPMIO header file for i/o operations.*/
#include "megen.h"	/* general defines		*/
#include "meglob.h"	/* global variable definitions	*/
#include "meovfn.h"	/* overlay function numbers	*/
#include "mefiles.h"	/* file names			*/

#include "ctype.h"


ovmain(func,parm)
 register int func;
 register char *parm;
{
switch (func)
	{
	case ASKQ:
		return ask_questions(parm);
	case CHANGEQ:
		return change_questions(parm);
	default:
		send("\nMEQUEST: Unknown Overlay function called for.\n");
		return ERROR;
	}

}  /* ovmain */


/******************************
 * This routine reads questions from the file QUESTIONS (define).
 * The format of that file is:
 *	!<type><len> <Question text, until next '!' in first col.>
 * The total length of combined questions must be under 128 chars.
 *
 * <type> is:	'i' for an integer (length always 2)
 *		's' for a string (length is allowed length +1 for '\0' term.)
 *		'b' for an on/off  yes/no value
 *		'k' for a killed field (not used anymore)
 *
 * BE SURE NOT TO CHANGE locations of things later!!! IT MAKES A DIFFERENCE!
 * 
 ******************************/

ask_questions(s)
 char *s;
{

}

change_questions(s)
 char *s;
{

}


